OpenTTD: Data Fields - Functions

OpenTTD

- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files

- Data Structures
- Class Hierarchy
- Data Fields

- All
- Functions
- Variables
- Typedefs
- Enumerations
- Enumerator
- Related Functions

- _
- a
- b
- c
- d
- e
- f
- g
- h
- i
- j
- k
- l
- m
- n
- o
- p
- q
- r
- s
- t
- u
- v
- w
- x
- y
- z
- ~

### - c -

- CalcDemand() : DemandCalculator
- CalcHash() : CHashTableT< Titem_, Thash_bits_ >
- CalcNextVehicleOffset() : Train
- CalculatePositionInWidget() : IndustryCargoesWindow
- CallbackResultSpriteGroup() : CallbackResultSpriteGroup
- CallLoad() : ScriptInstance
- CallMethod() : Squirrel
- CanAllocate() : Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >
- CanAllocateItem() : Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem< Tpool >
- CanalResolverObject() : CanalResolverObject
- CanCarryCargo() : Engine
- CancelReservation() : Vehicle
- CanDelChar() : Textbuf
- CanEnterNewTile() : CFollowTrackT< Ttr_type_, VehicleType, T90deg_turns_allowed_, Tmask_reserved_tracks >
- CanExitOldTile() : CFollowTrackT< Ttr_type_, VehicleType, T90deg_turns_allowed_, Tmask_reserved_tracks >
- CanLeaveWithCargo() : Order
- CanLoadFromVersion() : AIInfo , GameInfo
- CanReadFromPacket() : Packet
- CanRestoreSelectedObject() : BuildObjectWindow
- CanSendReceive() : NetworkTCPSocketHandler
- CanStartNew() : AI
- CanSuspend() : Squirrel
- CanUpgradeCurrent() : NewGRFWindow
- Capacity() : LinkGraph::EdgeWrapper< Tedge > , ByteBlob
- CapacityAnnotation() : CapacityAnnotation
- Cargo() : LinkGraph , LinkGraphJob
- CargoArray() : CargoArray
- CargoChanged() : GroundVehicle< T, Type >
- CargoClickedAt() : CargoesField
- CargoLabelClickedAt() : CargoesField
- CargoList() : CargoList< Tinst, Tcont >
- CargoPacket() : CargoPacket
- CargoPayment() : CargoPayment
- CargoResolverObject() : CargoResolverObject
- Case() : Case
- CBinaryHeapT() : CBinaryHeapT< T >
- CBlobT() : CBlobT< T >
- CCountedPtr() : CCountedPtr< Tcls_ >
- Change() : Backup< T > , ScriptConfig
- ChangeAI() : AIListWindow
- ChangeAnimationFrame() : AnimationBase< Tbase, Tspec, Tobj, Textra, GetCallback >
- ChangeResolution() : VideoDriver_Allegro , VideoDriver_Cocoa , CocoaSubdriver , VideoDriver_Dedicated , VideoDriver_Null , VideoDriver_SDL , VideoDriver , VideoDriver_Win32
- ChangeShare() : FlowStat
- ChangeToAI() : AIDebugWindow
- ChatTabCompletion() : NetworkChatWindow
- ChatTabCompletionFindText() : NetworkChatWindow
- ChatTabCompletionNextItem() : NetworkChatWindow
- CheckCallbacks() : TCPConnecter
- CheckClientListHeight() : NetworkClientListWindow
- CheckConnection() : ClientNetworkGameSocketHandler
- CheckDependencyState() : ClientNetworkContentSocketHandler
- CheckIdx() : CBlobT< T >
- CheckIntegrity() : RoadStop::Entry
- CheckMatch() : HotkeyList
- CheckMD5() : MD5File , BaseSet< T, Tnum_files, Tsearch_in_tars > , GraphicsSet
- CheckMethod() : ScriptInfo
- CheckSelectedSize() : BuildRailStationWindow
- CheckShipReverse() : CYapfFollowShipT< Types >
- CheckTile() : AyStar
- ChooseAction() : VehicleCargoList
- ClampToMap() : OrthogonalTileArea
- Clean() : PoolBase
- CleaningPool() : Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >::PoolItem< Tpool >
- CleanPool() : PoolBase , Pool< Titem, Tindex, Tgrowth_step, Tmax_size, Tpool_type, Tcache, Tzero >
- CleanupPaths() : MultiCommodityFlow
- Clear() : CargoArray , SmallMatrix< T > , SmallVector< T, S > , AutoFreeSmallVector< T, S > , AutoDeleteSmallVector< T, S > , LoadCheckData , FileList , GroupStatistics , IniGroup , LinkGraphSchedule , SmallArray< T, B, N > , CBinaryHeapT< T > , ByteBlob , FixedSizeArray< T, C > , CHashTableSlotT< Titem_ > , CHashTableT< Titem_, Thash_bits_ > , ClientNetworkContentSocketHandler , AyStar , BinaryHeap , Hash , OutputBuffer , OutputStore , CargoDataEntry , OrthogonalTileArea , DiagonalTileArea , VehicleSpriteSeq
- ClearArticulatedPart() : GroundVehicle< T, Type >
- ClearChanges() : BasePersistentStorageArray , PersistentStorageArray< TYPE, SIZE >
- ClearConfigList() : AIConfig , ScriptConfig
- ClearDataForNextFile() : GrfProcessingState
- ClearDriveThrough() : RoadStop
- ClearEngine() : GroundVehicle< T, Type >
- ClearFontCache() : SpriteFontCache , FreeTypeFontCache , FontCache
- ClearFreeWagon() : GroundVehicle< T, Type >
- ClearFrontEngine() : GroundVehicle< T, Type >
- ClearGlyphToSpriteMap() : SpriteFontCache
- ClearGroup() : OrderBackup
- ClearMultiheaded() : GroundVehicle< T, Type >
- ClearTypeInformation() : StringParameters
- ClearVehicle() : OrderBackup
- ClearWagon() : GroundVehicle< T, Type >
- ClientError() : ClientNetworkGameSocketHandler
- ClientNetworkContentSocketHandler() : ClientNetworkContentSocketHandler
- ClientNetworkGameSocketHandler() : ClientNetworkGameSocketHandler
- Clone() : AirportTileTableIterator , NewGRFSpriteLayout , AirportTileIterator , TileIterator , OrthogonalTileIterator , DiagonalTileIterator
- Close() : NetworkSocketHandler , NetworkContentSocketHandler , NetworkUDPSocketHandler , ClientNetworkContentSocketHandler
- CloseConnection() : NetworkHTTPSocketHandler , NetworkSocketHandler , NetworkTCPSocketHandler , NetworkAdminSocketHandler , NetworkGameSocketHandler , NetworkUDPSocketHandler , ClientNetworkGameSocketHandler , ServerNetworkGameSocketHandler
- ClosedCount() : CNodeList_HashTableT< Titem_, Thash_bits_open_, Thash_bits_closed_ >
- ClosedListAdd() : AyStar
- ClosedListIsInList() : AyStar
- CloseListeners() : TCPListenHandler< Tsocket, Tfull_packet, Tban_packet >
- CNodeList_HashTableT() : CNodeList_HashTableT< Titem_, Thash_bits_open_, Thash_bits_closed_ >
- CollectGarbage() : ScriptInstance , Squirrel
- Colour() : Colour
- CommandCost() : CommandCost
- CommandPacket() : CommandPacket
- CommandQueue() : CommandQueue
- Compact() : SmallMatrix< T > , FileList , SmallVector< T, S >
- Company() : Company
- CompareTo() : NetworkAddress
- Compile() : GameStrings
- CompileError() : Squirrel
- ComposeColourPA() : Blitter_32bppBase
- ComposeColourPANoCheck() : Blitter_32bppBase
- ComposeColourRGBA() : Blitter_32bppBase
- ComposeColourRGBANoCheck() : Blitter_32bppBase
- ComputeCargoDisplay() : IndustryCargoesWindow
- ComputeGroupInfoSize() : VehicleGroupWindow
- ComputeIndustryDisplay() : IndustryCargoesWindow
- ComputeScroll() : SmallMapWindow
- Connect() : NetworkAddress , TCPConnecter , ClientNetworkContentSocketHandler , NetworkHTTPSocketHandler
- ConnectCargo() : CargoesField
- ConnectIndustryAccepted() : CargoesRow
- ConnectIndustryProduced() : CargoesRow
- ConsistChanged() : Train
- ConstEdgeIterator() : LinkGraph::ConstEdgeIterator
- ConstNode() : LinkGraph::ConstNode
- Constructor() : GameLibrary , AIInfo , GameInfo , AILibrary , ScriptInfo
- Contains() : SmallStack< Titem, Tindex, Tinvalid, Tgrowth_step, Tmax_size > , SmallVector< T, S > , SmallMap< T, U, S > , DiagonalTileArea , OrthogonalTileArea
- ContentInfo() : ContentInfo
- Continue() : ScriptInstance
- ConvertFromOldSavegame() : Order
- Copy() : GRFText
- CopyConsistPropertiesFrom() : BaseConsist
- CopyFromBuffer() : Blitter_32bppBase , Blitter_Null , Blitter , Blitter_32bppAnim , Blitter_8bppBase
- CopyImageToBuffer() : Blitter_32bppBase , Blitter , Blitter_8bppBase , Blitter_Null
- CopyOutDParams() : ErrorMessageData
- CopyParams() : GRFConfig
- CopyToBuffer() : Blitter_32bppAnim , Blitter_32bppBase , Blitter_8bppBase , Blitter , Blitter_Null
- CopyVehicleConfigAndStatistics() : Vehicle
- CopyWithoutPalette() : VehicleSpriteSeq
- Count() : CargoPacket , CHashTableT< Titem_, Thash_bits_ > , CommandQueue
- CountEngine() : GroupStatistics
- CountInUse() : StringData
- CountLines() : SubsidyListWindow , GoalListWindow
- CountMatchingAcceptingIndustries() : IndustryCargoesWindow
- CountMatchingProducingIndustries() : IndustryCargoesWindow
- CountRuns() : FallbackParagraphLayout::FallbackLine
- CountVehicle() : GroupStatistics
- Crash() : Train , Vehicle , RoadVehicle , GroundVehicle< T, Type > , Aircraft
- CrashLogOSX() : CrashLogOSX
- CrashLogUnix() : CrashLogUnix
- CrashLogWindows() : CrashLogWindows
- CrashOccurred() : Squirrel
- Create() : StringIterator , SimplePool< Titem, Tindex, Tgrowth_step, Tmax_size >
- CreateClassInstance() : Squirrel
- CreateClassInstanceVM() : Squirrel
- CreateInstance() : FSoundDriver_SDL , FMusicDriver_LibTimidity , FMusicDriver_ExtMidi , FSoundDriver_Null , FMusicDriver_BeMidi , BlitterFactory , FVideoDriver_SDL , FSoundDriver_Allegro , FSoundDriver_Cocoa , FBlitter_32bppOptimized , FMusicDriver_DMusic , FMusicDriver_Cocoa , FBlitter_32bppAnim , FMusicDriver_Allegro , FSoundDriver_Win32 , FVideoDriver_Allegro , FVideoDriver_Dedicated , FBlitter_32bppSimple , FVideoDriver_Null , FMusicDriver_OS2 , FMusicDriver_Win32 , FVideoDriver_Win32 , FMusicDriver_Null , FBlitter_8bppSimple , FBlitter_8bppOptimized , FMusicDriver_QtMidi , DriverFactoryBase , FVideoDriver_Cocoa , FBlitter_Null
- CreateNestedTree() : Window
- CreateNewNode() : CNodeList_HashTableT< Titem_, Thash_bits_open_, Thash_bits_closed_ > , CYapfBaseT< Types >
- CStrA() : CStrA
- CYapfBaseT() : CYapfBaseT< Types >